Subject: [Cbor] CDDL: Multiple root files / file includes

From: David Kemp <[email-masked]>
Date: Tue, 14 Apr 2020 19:01:50 -0400

>      start = COSE_Messages / COSE_Key / COSE_KeySet / Internal_Types
> I wouldn’t call it a “hack”, but rather an “idiom”…

I'd call it a hack, based on feedback from JSON Schema users who don't like
the idea of having a schema for one thing (e.g. a request) that will
validate something else (a response).

If everyone does it, then it must work for them.

But I'd consider it a "feature request" for syntax and tooling that will
extract and combine schema bits.

Regards,
Dave